# Uses of Class
org.springframework.orm.hibernate5.HibernateTemplate

Packages that use HibernateTemplate
Package
Description
org.springframework.orm.hibernate5.support
Classes supporting the `org.springframework.orm.hibernate5` package.

## Uses of HibernateTemplate in org.springframework.orm.hibernate5.support

Methods in org.springframework.orm.hibernate5.support that return HibernateTemplate
Modifier and Type
Method
Description
`protected HibernateTemplate`
HibernateDaoSupport.`createHibernateTemplate(SessionFactory sessionFactory)`
Create a HibernateTemplate for the given SessionFactory.
`final HibernateTemplate`
HibernateDaoSupport.`getHibernateTemplate()`
Return the HibernateTemplate for this DAO, pre-initialized with the SessionFactory or set explicitly.
Methods in org.springframework.orm.hibernate5.support with parameters of type HibernateTemplate
Modifier and Type
Method
Description
`final void`
HibernateDaoSupport.`setHibernateTemplate(HibernateTemplate hibernateTemplate)`
Set the HibernateTemplate for this DAO explicitly, as an alternative to specifying a SessionFactory.